openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SAPWLN3_AGENT_COL_PREAGGS_READ:
    post:
      tags:
      - SAPWLN3_STAT
      operationId: /rfc/SAPWLN3_AGENT_COL_PREAGGS_READ
      requestBody:
        content:
          application/json:
            schema:
              properties:
                BUILD_CALLTYPE1_PREAGGS:
                  type: string
                  maxLength: 1
                BUILD_EXTSYSLOAD_PREAGGS:
                  type: string
                  maxLength: 1
                BUILD_HITLIST_RESPTIME:
                  type: string
                  maxLength: 1
                BUILD_HITLIST_WAITTIME:
                  type: string
                  maxLength: 1
                BUILD_RESPT_CATEG_PREAGGS:
                  type: string
                  maxLength: 1
                BUILD_STATDATA_AVAIL_PREAGGS:
                  type: string
                  maxLength: 1
                COMPONENT:
                  type: string
                  maxLength: 32
                COMPONENT_TYPE:
                  type: string
                  maxLength: 10
                GET_TEST_DATA:
                  type: string
                  maxLength: 1
                MAX_HITLIST_SIZE:
                  type: integer
                  format: int32
                  default: 5
                READ_MAX_NO_OF_RECORDS:
                  type: integer
                  format: int32
                  default: -1
                READ_START_DATE_UTC:
                  type: string
                  format: date
                READ_START_TIME_UTC:
                  type: string
                  maxLength: 6
                RESPTIME_CATEGORIES:
                  type: object
                  properties:
                    CATEG1:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG2:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG3:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG4:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG5:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG6:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG7:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG8:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG9:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                    CATEG10:
                      type: integer
                      format: int32
                      description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                SIMULATE_AGENT_ACCESS:
                  type: string
                  maxLength: 1
                STATDATA_AVAIL_INTVL_MINUTES:
                  type: integer
                  format: int32
                  default: 5
                HITLIST_RESPTIME_INDEX:
                  type: array
                  items:
                    type: object
                    properties:
                      SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      BEGIN:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Stat. record: index of first sub-record'
                      END:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Stat. record: index of first sub-record'
                HITLIST_WAITTIME_INDEX:
                  type: array
                  items:
                    type: object
                    properties:
                      SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      BEGIN:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Stat. record: index of first sub-record'
                      END:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Stat. record: index of first sub-record'
                PREAGGS_CALLTYPE1:
                  type: array
                  items:
                    type: object
                    properties:
                      SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      ACTION:
                        type: string
                        maxLength: 128
                        description: 'DSR Statistics: Action'
                      ACTIONTYPE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Action Type'
                      USER:
                        type: string
                        maxLength: 32
                        description: 'DSR Statistics: User Name'
                      COMPNAME:
                        type: string
                        maxLength: 32
                        description: 'DSR Statistics: Name of a Non-R/3 Component'
                      COMPTYPE:
                        type: string
                        maxLength: 10
                        description: 'DSR Statistics: Type of Non-R/3 Component'
                      DESTINAT:
                        type: string
                        maxLength: 128
                        description: 'DSR Statistics: Destination of a Called Component'
                      CALLTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      REXECTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      SENTBYTES:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      RCVDBYTES:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      COUNT:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                PREAGGS_EXTSYSLOAD:
                  type: array
                  items:
                    type: object
                    properties:
                      I_SYSTEM:
                        type: string
                        maxLength: 32
                        description: 'DSR Statistics: System Name'
                      I_ACTION:
                        type: string
                        maxLength: 128
                        description: 'DSR Statistics: Action'
                      I_ACTTYPE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Action Type'
                      I_SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      I_USER:
                        type: string
                        maxLength: 32
                        description: 'DSR Statistics: User Name'
                      SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      CPUTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      QUEUETIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      LOADTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      GENTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      NETTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      WAITTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      MAXMEM:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      RESPTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      COUNT:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      LUWCOUNT:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                PREAGGS_HITLIST_RESPTIME:
                  type: array
                  items:
                    type: object
                    properties:
                      STARTDATE:
                        type: string
                        format: date
                        description: 'SAP Workload: Workload: Date'
                      STARTTIME:
                        type: string
                        maxLength: 6
                        description: 'SAP Workload: Workload: time of day'
                      ENDDATE:
                        type: string
                        format: date
                        description: 'SAP Workload: Workload: Date'
                      ENDTIME:
                        type: string
                        maxLength: 6
                        description: 'SAP Workload: Workload: time of day'
                      TRANSID:
                        type: string
                        maxLength: 32
                        description: 'SAP Workload: Workload: Transaction ID'
                      SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      ACTION:
                        type: string
                        maxLength: 128
                        description: 'DSR Statistics: Action'
                      ACTIONTYPE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Action Type'
                      USER:
                        type: string
                        maxLength: 32
                        description: 'DSR Statistics: User Name'
                      PROCESSID:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Process ID'
                      THREADID:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Thread ID'
                      CPUTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      QUEUETIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      LOADTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      GENTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      NETTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      WAITTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      MAXMEM:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Memory in Kilobytes'
                      LUWINFO:
                        type: string
                        format: byte
                        description: 'DSR Statistics: LUW Information'
                      RESPTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      ADDITINFO:
                        type: string
                        maxLength: 256
                        description: 'DSR Statistics: Component-Specific Information'
                      STARTTIME1:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Time in raw-statisticrecord in Seconds'
                      STARTTIME2:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Time in raw-statisticrecord in Microseconds'
                      ENDTIME1:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Time in raw-statisticrecord in Seconds'
                      ENDTIME2:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Time in raw-statisticrecord in Microseconds'
                PREAGGS_HITLIST_WAITTIME:
                  type: array
                  items:
                    type: object
                    properties:
                      STARTDATE:
                        type: string
                        format: date
                        description: 'SAP Workload: Workload: Date'
                      STARTTIME:
                        type: string
                        maxLength: 6
                        description: 'SAP Workload: Workload: time of day'
                      ENDDATE:
                        type: string
                        format: date
                        description: 'SAP Workload: Workload: Date'
                      ENDTIME:
                        type: string
                        maxLength: 6
                        description: 'SAP Workload: Workload: time of day'
                      TRANSID:
                        type: string
                        maxLength: 32
                        description: 'SAP Workload: Workload: Transaction ID'
                      SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      ACTION:
                        type: string
                        maxLength: 128
                        description: 'DSR Statistics: Action'
                      ACTIONTYPE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Action Type'
                      USER:
                        type: string
                        maxLength: 32
                        description: 'DSR Statistics: User Name'
                      PROCESSID:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Process ID'
                      THREADID:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Thread ID'
                      CPUTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      QUEUETIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      LOADTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      GENTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      NETTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      WAITTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      MAXMEM:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Memory in Kilobytes'
                      LUWINFO:
                        type: string
                        format: byte
                        description: 'DSR Statistics: LUW Information'
                      RESPTIME:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time in Milliseconds'
                      ADDITINFO:
                        type: string
                        maxLength: 256
                        description: 'DSR Statistics: Component-Specific Information'
                      STARTTIME1:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Time in raw-statisticrecord in Seconds'
                      STARTTIME2:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Time in raw-statisticrecord in Microseconds'
                      ENDTIME1:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Time in raw-statisticrecord in Seconds'
                      ENDTIME2:
                        type: integer
                        format: int32
                        description: 'SAP Workload: Time in raw-statisticrecord in Microseconds'
                PREAGGS_MAINREC:
                  type: array
                  items:
                    type: object
                    properties:
                      TIME:
                        type: string
                        maxLength: 6
                        description: 'SAP Workload: Workload: time of day'
                      SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      ACTION:
                        type: string
                        maxLength: 128
                        description: 'DSR Statistics: Action'
                      ACTIONTYPE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Action Type'
                      USER:
                        type: string
                        maxLength: 32
                        description: 'DSR Statistics: User Name'
                      CPUTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      QUEUETIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      LOADTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      GENTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      NETTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      WAITTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      MAXMEM:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      RESPTIME:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      COUNT:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      LUWCOUNT:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                PREAGGS_RESPTIME_CATEG:
                  type: array
                  items:
                    type: object
                    properties:
                      SERVICE:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Service'
                      CATEG1:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT1:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG2:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT2:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG3:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT3:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG4:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT4:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG5:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT5:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG6:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT6:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG7:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT7:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG8:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT8:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG9:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT9:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                      CATEG10:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                      COUNT10:
                        type: string
                        maxLength: 16
                        description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                PREAGGS_STATDATA_AVAIL:
                  type: array
                  items:
                    type: object
                    properties:
                      COMPONENT:
                        type: string
                        maxLength: 32
                        description: 'DSR Statistics: Name of a Non-R/3 Component'
                      STRTDATE:
                        type: string
                        format: date
                        description: Current Date of Application Server
                      STRTTIME:
                        type: string
                        maxLength: 6
                        description: Current Time of Application Server
                      ENDDATE:
                        type: string
                        format: date
                        description: Current Date of Application Server
                      ENDTIME:
                        type: string
                        maxLength: 6
                        description: Current Time of Application Server
                      DATAAVAIL:
                        type: string
                        maxLength: 1
                        description: Single-Character Flag
                      INTVLLEN:
                        type: integer
                        format: int32
                        description: 'DSR Statistics: Time Interval, Availability of Statistics'
              required:
              - COMPONENT
              - COMPONENT_TYPE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  FILENAME:
                    type: string
                    maxLength: 128
                  FIRSTRECDT:
                    type: string
                    format: date
                  FIRSTRECTM:
                    type: string
                    maxLength: 6
                  LASTRECDT:
                    type: string
                    format: date
                  LASTRECTM:
                    type: string
                    maxLength: 6
                  NOOFRECS:
                    type: integer
                    format: int32
                  HITLIST_RESPTIME_INDEX:
                    type: array
                    items:
                      type: object
                      properties:
                        SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        BEGIN:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Stat. record: index of first sub-record'
                        END:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Stat. record: index of first sub-record'
                  HITLIST_WAITTIME_INDEX:
                    type: array
                    items:
                      type: object
                      properties:
                        SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        BEGIN:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Stat. record: index of first sub-record'
                        END:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Stat. record: index of first sub-record'
                  PREAGGS_CALLTYPE1:
                    type: array
                    items:
                      type: object
                      properties:
                        SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        ACTION:
                          type: string
                          maxLength: 128
                          description: 'DSR Statistics: Action'
                        ACTIONTYPE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Action Type'
                        USER:
                          type: string
                          maxLength: 32
                          description: 'DSR Statistics: User Name'
                        COMPNAME:
                          type: string
                          maxLength: 32
                          description: 'DSR Statistics: Name of a Non-R/3 Component'
                        COMPTYPE:
                          type: string
                          maxLength: 10
                          description: 'DSR Statistics: Type of Non-R/3 Component'
                        DESTINAT:
                          type: string
                          maxLength: 128
                          description: 'DSR Statistics: Destination of a Called Component'
                        CALLTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        REXECTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        SENTBYTES:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        RCVDBYTES:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        COUNT:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                  PREAGGS_EXTSYSLOAD:
                    type: array
                    items:
                      type: object
                      properties:
                        I_SYSTEM:
                          type: string
                          maxLength: 32
                          description: 'DSR Statistics: System Name'
                        I_ACTION:
                          type: string
                          maxLength: 128
                          description: 'DSR Statistics: Action'
                        I_ACTTYPE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Action Type'
                        I_SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        I_USER:
                          type: string
                          maxLength: 32
                          description: 'DSR Statistics: User Name'
                        SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        CPUTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        QUEUETIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        LOADTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        GENTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        NETTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        WAITTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        MAXMEM:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        RESPTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        COUNT:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        LUWCOUNT:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                  PREAGGS_HITLIST_RESPTIME:
                    type: array
                    items:
                      type: object
                      properties:
                        STARTDATE:
                          type: string
                          format: date
                          description: 'SAP Workload: Workload: Date'
                        STARTTIME:
                          type: string
                          maxLength: 6
                          description: 'SAP Workload: Workload: time of day'
                        ENDDATE:
                          type: string
                          format: date
                          description: 'SAP Workload: Workload: Date'
                        ENDTIME:
                          type: string
                          maxLength: 6
                          description: 'SAP Workload: Workload: time of day'
                        TRANSID:
                          type: string
                          maxLength: 32
                          description: 'SAP Workload: Workload: Transaction ID'
                        SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        ACTION:
                          type: string
                          maxLength: 128
                          description: 'DSR Statistics: Action'
                        ACTIONTYPE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Action Type'
                        USER:
                          type: string
                          maxLength: 32
                          description: 'DSR Statistics: User Name'
                        PROCESSID:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Process ID'
                        THREADID:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Thread ID'
                        CPUTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        QUEUETIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        LOADTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        GENTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        NETTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        WAITTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        MAXMEM:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Memory in Kilobytes'
                        LUWINFO:
                          type: string
                          format: byte
                          description: 'DSR Statistics: LUW Information'
                        RESPTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        ADDITINFO:
                          type: string
                          maxLength: 256
                          description: 'DSR Statistics: Component-Specific Information'
                        STARTTIME1:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Time in raw-statisticrecord in Seconds'
                        STARTTIME2:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Time in raw-statisticrecord in Microseconds'
                        ENDTIME1:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Time in raw-statisticrecord in Seconds'
                        ENDTIME2:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Time in raw-statisticrecord in Microseconds'
                  PREAGGS_HITLIST_WAITTIME:
                    type: array
                    items:
                      type: object
                      properties:
                        STARTDATE:
                          type: string
                          format: date
                          description: 'SAP Workload: Workload: Date'
                        STARTTIME:
                          type: string
                          maxLength: 6
                          description: 'SAP Workload: Workload: time of day'
                        ENDDATE:
                          type: string
                          format: date
                          description: 'SAP Workload: Workload: Date'
                        ENDTIME:
                          type: string
                          maxLength: 6
                          description: 'SAP Workload: Workload: time of day'
                        TRANSID:
                          type: string
                          maxLength: 32
                          description: 'SAP Workload: Workload: Transaction ID'
                        SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        ACTION:
                          type: string
                          maxLength: 128
                          description: 'DSR Statistics: Action'
                        ACTIONTYPE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Action Type'
                        USER:
                          type: string
                          maxLength: 32
                          description: 'DSR Statistics: User Name'
                        PROCESSID:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Process ID'
                        THREADID:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Thread ID'
                        CPUTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        QUEUETIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        LOADTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        GENTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        NETTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        WAITTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        MAXMEM:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Memory in Kilobytes'
                        LUWINFO:
                          type: string
                          format: byte
                          description: 'DSR Statistics: LUW Information'
                        RESPTIME:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time in Milliseconds'
                        ADDITINFO:
                          type: string
                          maxLength: 256
                          description: 'DSR Statistics: Component-Specific Information'
                        STARTTIME1:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Time in raw-statisticrecord in Seconds'
                        STARTTIME2:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Time in raw-statisticrecord in Microseconds'
                        ENDTIME1:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Time in raw-statisticrecord in Seconds'
                        ENDTIME2:
                          type: integer
                          format: int32
                          description: 'SAP Workload: Time in raw-statisticrecord in Microseconds'
                  PREAGGS_MAINREC:
                    type: array
                    items:
                      type: object
                      properties:
                        TIME:
                          type: string
                          maxLength: 6
                          description: 'SAP Workload: Workload: time of day'
                        SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        ACTION:
                          type: string
                          maxLength: 128
                          description: 'DSR Statistics: Action'
                        ACTIONTYPE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Action Type'
                        USER:
                          type: string
                          maxLength: 32
                          description: 'DSR Statistics: User Name'
                        CPUTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        QUEUETIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        LOADTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        GENTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        NETTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        WAITTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        MAXMEM:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        RESPTIME:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        COUNT:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        LUWCOUNT:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                  PREAGGS_RESPTIME_CATEG:
                    type: array
                    items:
                      type: object
                      properties:
                        SERVICE:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Service'
                        CATEG1:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT1:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG2:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT2:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG3:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT3:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG4:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT4:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG5:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT5:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG6:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT6:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG7:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT7:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG8:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT8:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG9:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT9:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                        CATEG10:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Upper Limit of a Response Time Interval'
                        COUNT10:
                          type: string
                          maxLength: 16
                          description: 'DSR Statistics: Dec.-15 Value as Character (Agent)'
                  PREAGGS_STATDATA_AVAIL:
                    type: array
                    items:
                      type: object
                      properties:
                        COMPONENT:
                          type: string
                          maxLength: 32
                          description: 'DSR Statistics: Name of a Non-R/3 Component'
                        STRTDATE:
                          type: string
                          format: date
                          description: Current Date of Application Server
                        STRTTIME:
                          type: string
                          maxLength: 6
                          description: Current Time of Application Server
                        ENDDATE:
                          type: string
                          format: date
                          description: Current Date of Application Server
                        ENDTIME:
                          type: string
                          maxLength: 6
                          description: Current Time of Application Server
                        DATAAVAIL:
                          type: string
                          maxLength: 1
                          description: Single-Character Flag
                        INTVLLEN:
                          type: integer
                          format: int32
                          description: 'DSR Statistics: Time Interval, Availability of Statistics'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
